Bug 406421 - 3.32: Access keys for bug list navigation bar.
Summary: 3.32: Access keys for bug list navigation bar.
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General   
(Show other bugs)
Version: 3.2
Hardware: All
OS: Linux
high
medium vote
Target Milestone: ---
Assignee: Tony Fu
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: RHBZ30UpgradeTracker 427057
TreeView+ depends on / blocked
 
Reported: 2007-11-30 16:59 UTC by David Lawrence
Modified: 2013-06-24 04:17 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-12 17:58:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Lawrence 2007-11-30 16:59:02 UTC
Description:
Using accesskey HTML tags for certain links in Bugzilla, a user can simply select a keyboard shortcut to go to the link instead of having to use the mouse. The navigation bar on the show_bug.cgi page has acess keys assigned to move from one bug to another the last query results.

Function Requirements:
template/en/default/bug/navigateupper.html.tmpl template/en/default/bug/navigate.html.tmpl.

Comment 1 Tony Fu 2007-12-20 04:21:32 UTC
Size estimation:

Need to write two template pages.  It will need one simple input, one simple
output and a simple external logical file.  The unadjusted-function-point-total
of one template pages will be 
unadjusted-function-point-total = 1*3+1*4+1*5=12

total-function-point-count=2*unadjusted-function-point-total*1.11=2*12*1.11=26
LOC=60*26=1560
Test unit:

two web pages need to be tested and the testing code for one page is, in
average, 20 lines.

Total LOC=1560+2*20=1600

Comment 2 Kevin Baker 2008-04-15 02:15:16 UTC
not a milestone 3 blocker. 
it is existing functionality in 2.18. We should think if it is worth
holding up the final release. 

Recommend we drop it and do it if people scream.

Comment 3 David Lawrence 2008-05-12 17:58:51 UTC
Dropping.


Note You need to log in before you can comment on or make changes to this bug.